apiVersion: v1
kind: Template
labels:
  app: ncappscache
  template: ncappscache-buildconfig
metadata:
  annotations:
    description: NextCloud Applications Cache Base Image - BuildConfig
    iconClass: icon-openshift
    openshift.io/display-name: NextCloud Applications Cache Base
    tags: ncappscache
  name: ncappscache-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds NextCloud Applications Cache images
    labels:
      name: ncappscache-${APPSCACHE_REPOSITORY_REF}
    name: ncappscache-${APPSCACHE_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 500m
        memory: 1536Mi
    source:
      contextDir: /
      git:
        uri: ${APPSCACHE_REPOSITORY_URL}
        ref: "${APPSCACHE_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: ncappscache:${APPSCACHE_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: APPSCACHE_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: APPSCACHE_REPOSITORY_URL
  description: The URL of the repository with your NextCloud Applications Cache Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-ncappscache.git
